Sources
List campaign assignments for a source
List campaign assignments for a source
Authorization
x-api-key x-api-key<token>
API key required for authentication.
Keys begin with 'cc_' prefix. Get your API key from the Developer Dashboard.
In: header
Path Parameters
string
GET /v2/sources/:id/assignments Parameter
Match^([0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[1-8][0-9a-fA-F]{3}-[89abAB][0-9a-fA-F]{3}-[0-9a-fA-F]{12}|00000000-0000-0000-0000-000000000000|ffffffff-ffff-ffff-ffff-ffffffffffff)$Formatuuid
Response Body
application/json
application/json
application/json
application/json
application/json
application/json
application/json
application/json
curl -X GET "https://api.carecycle.ai/v2/sources/497f6eca-6276-4993-bfeb-53cbbbba6f08/assignments"{
"items": [
{
"id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",
"sourceId": "797f5a94-3689-4ac8-82fd-d749511ea2b2",
"campaignId": "13f8bf6d-dc27-4a04-bffe-6e5b13c19ddf",
"campaignName": "string",
"direction": "outbound",
"enabled": true,
"phoneNumberId": -9007199254740991,
"phoneNumber": "string",
"service": "mobius",
"assignedAt": null,
"unassignedAt": null,
"metadata": {
"property1": null,
"property2": null
}
}
]
}{
"message": "string",
"code": "string"
}{
"message": "string",
"code": "string"
}{
"message": "string",
"code": "string"
}{
"message": "string",
"code": "string"
}{
"message": "string",
"code": "VALIDATION_ERROR",
"errors": [
{
"path": [
"string"
],
"message": "string",
"expected": "string",
"received": "string",
"code": "string"
}
],
"failedRecords": [
{
"index": 0,
"phoneNumber": "string",
"firstName": "string",
"lastName": "string",
"externalId": "string"
}
]
}{
"message": "string",
"code": "string",
"retryAfter": 0
}{
"message": "string",
"code": "string"
}